org.apache.lucene.queryparser.ext

## Class Extensions.Pair<Cur,Cud>

- java.lang.Object
- - org.apache.lucene.queryparser.ext.Extensions.Pair<Cur,Cud>

Type Parameters:
  `Cur` - the pairs first element
  `Cud` - the pairs last element of the pair.

Enclosing class:
  Extensions

    public static class Extensions.Pair<Cur,Cud>
    extends Object

This class represents a generic pair.

### Field Summary

Fields
`Cud` `cud`
`Cur` `cur`

### Constructor Summary

Constructors
Constructor and Description
`Extensions.Pair(Cur cur, Cud cud)` Creates a new Pair

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cur

    public final Cur cur

#### cud

    public final Cud cud

### Constructor Detail

#### Extensions.Pair

    public Extensions.Pair(Cur cur,
                   Cud cud)

Creates a new Pair

Parameters:
  `cur` - the pairs first element
  `cud` - the pairs last element